curl --request POST \
--url 'https://api.sync.stateset.com/v1/tenants/{tenant_id}/sync/products' \
--header "x-stateset-api-key: $STATESET_SYNC_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"source": "string"
}'
{
"jobId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"jobType": "string",
"status": "queued",
"createdAt": "2026-08-31T14:22:05Z"
}
Trigger a product sync from a source platform.
Product sync job queued
POST
/
v1
/
tenants
/
{tenant_id}
/
sync
/
products
curl --request POST \
--url 'https://api.sync.stateset.com/v1/tenants/{tenant_id}/sync/products' \
--header "x-stateset-api-key: $STATESET_SYNC_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"source": "string"
}'
{
"jobId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"jobType": "string",
"status": "queued",
"createdAt": "2026-08-31T14:22:05Z"
}
Path parameters
string
required
Tenant identifier
Request body
object
string
Source for catalog sync. Supported values: shopify, netsuite, both, or all. If omitted, the server defaults to all available catalog sources.
Response
object
string (uuid)
required
Unique job identifier
string
required
Type of background job
string
required
Current job status
string (date-time)
required
Job creation timestamp
Status codes
| Code | Meaning |
|---|---|
202 | Product sync job queued |
401 | Unauthorized |
422 | Unsupported product sync source |
424 | Required integration not configured |
curl --request POST \
--url 'https://api.sync.stateset.com/v1/tenants/{tenant_id}/sync/products' \
--header "x-stateset-api-key: $STATESET_SYNC_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"source": "string"
}'
{
"jobId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"jobType": "string",
"status": "queued",
"createdAt": "2026-08-31T14:22:05Z"
}
Last modified on August 31, 2026